aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xyoutube-player18
1 files changed, 18 insertions, 0 deletions
diff --git a/youtube-player b/youtube-player
new file mode 100755
index 0000000..46b8dd5
--- /dev/null
+++ b/youtube-player
@@ -0,0 +1,18 @@
+#!/bin/bash
+#
+# Youtube player from the command line
+# https://unix.stackexchange.com/questions/160212/watch-youtube-videos-in-terminal
+#
+
+# Parameters
+BASENAME="`basename $0`"
+URL="$1"
+
+# Check
+if [ -z "$1" ]; then
+ echo "usage: $BASENAME <url>"
+ exit 1
+fi
+
+# Run
+youtube-dl $URL -o - | mplayer -vo aa -monitorpixelaspect 0.5 -